<bugID>1173142<Summary>Users should be able to define their own device definitions</Summary><Description>In bug 1172309 we're tracking using the device catalogf for RDV. For Android devices we can't / don't want to track all devices.

As a developer I should be able to somehow define custom device definitions with arbitrary values of the correct type for the supported properties, for example:

{
  name: "Geeksphone Keon", // String
  width: 320, // int
  height: 480, // int
  pixelRatio: 1, // float
  userAgent: "Mozilla/5.0 (Mobile; rv:28.0) Gecko/28.0 Firefox/28.0", // string
  touch: true, // boolean
},

We should store these and allow import / export of them.</Description></bugID>